Prototype char *NewsHome;
Prototype char *SpoolHome;
Prototype volatile int DebugOpt;
Prototype void FreeNodeList(Node **pnode);
Prototype void FreeNode(Node *node);
Prototype Node *MakeNode(const char *str, int val);
Prototype Node *MakeNode2(const char *str1, const char *str2, int val);
Prototype int xopen(int modes, int perms, const char *ctl, ...);
Prototype FILE *xfopen(const char *modes, const char *ctl, ...);
Prototype int xfprintf(FILE *fo, const char *ctl, ...);
Prototype void dprintf(const char *ctl, ...);
Prototype void vdprintf(const char *ctl, va_list va);
Prototype char *bgets(Buffer **pb, int fd);
Prototype void bclose(Buffer **pb);
Prototype int WildCmp(const char *w, const char *s);
Prototype void HistoryOpen(const char *fileName, int fastMode);
Prototype int  HistoryClose(void);
Prototype int HistoryLookup(const char *msgid, FILE **pfi);
Prototype int HistoryLookupByHash(hash_t hv, History *h);
Prototype int HistoryAdd(const char *msgid, History *h);
Prototype hash_t hhash(const char *msgid);
Prototype char *MsgId(char *s);
Prototype int GetExpire(const char *msgid, History *h, const char *nglist, int size);
Prototype void LoadExpireCtl(History *h, int force);
Prototype void FeedAdd(const char *msgid, History *h, const char *nglist, const char *npath, int size);
Prototype void FeedFlush(void);
Prototype void LoadNewsFeed(History *h, int force);
Prototype void TouchNewsFeed(void);
Prototype int IsFiltered(const char *hlabel, const char *nglist);
Prototype FILE *FeedFo;
Prototype time_t parsedate(char *buf);
Prototype void rsignal(int sigNo, void (*func)(int sigNo));
Prototype int xflock(int fd, int flags);
Prototype int hflock(int fd, int offset, int flags);
Prototype void *pagealloc(int *psize);
Prototype void pagefree(void *p);
