
# DNNTPSPOOL.CTL
#
# FORMAT:
#
#	label	domainname	maxqueue	options
#
#	label:		specify the label to match the one in dnewsfeeds
#	domainname:	remote host to push the articles to (to connect to)
#	maxqueue:	maximum number of queue files to keep for this feed
#	options:	other options (see below)
#
# OPTIONS:
#
#	xreplic		- uses innxmit instead of dnewslink, and use
#			  the xreplic protocol.  Not supported by DIABLO.
#
#	n4		- run up to 4 dnewslink's in parallel (default is 2).
#			  You can specify any number up to 32, but we suggest
#			  that you never specify more then 3 to any external
#			  outbound feed, and no more then 4 to any internal
#			  newsreader machine if it is running INN.
#
#			  You should never have to specify more then 2 (the
#			  default) to any outbound feed that is running diablo
#
#
# NNTPSPOOL.CTL

# Format:
#	spoolfile:machine

idiom		idiom.com			50
sgigate		news.sgi.com			250
aimnet2		newsfeed1.aimnet.com		250
nntp1		oldnntp.best.com		500	n4
nntp1ba		nntp1.ba.best.com		500	n4
hp		sdd.hp.com			250

# and so on
#
